# Created by pyp2rpm-3.3.2
%global pypi_name google_auth

%bcond_with tests

Name:           python-google-auth
Version:        2.38.0
Release:        %mkrel 1
Summary:        Google Authentication Library
Group:          Development/Python
License:        ASL2.0
URL:            https://github.com/googleapis/google-auth-library-python
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(cachetools) >= 2.0.0
BuildRequires:  python3dist(pyasn1-modules) >= 0.2.1
BuildRequires:  python3dist(rsa) >= 3.1.4
%if %{with tests}
BuildRequires:  python3dist(certifi)
BuildRequires:  python3dist(flask)
BuildRequires:  python3dist(freezegun)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(oauth2client)
BuildRequires:  python3dist(pyopenssl)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-localserver)
BuildRequires:  python3dist(pyu2f)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(responses)
BuildRequires:  python3dist(aioresponses)
BuildRequires:  python3dist(urllib3)
%endif

%description
Google Auth Python Library simplifies using Google's various server-to-server
authentication mechanisms to access Google.

%package -n     python3-google-auth
Summary:        Google Authentication Library
%{?python_provide:%python_provide python3-%{pypi_name}}

Obsoletes:      python3-google_auth < 2.37.0-2

%description -n python3-google-auth
Google Auth Python Library simplifies using Google's various server-to-server
authentication mechanisms to access Google.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files google

%if %{with tests}
%check
%pytest
%endif

%files -n python3-google-auth -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Mon Mar 03 2025 daviddavid <daviddavid> 2.38.0-1.mga10
+ Revision: 2159134
- new version: 2.38.0

* Sun Mar 02 2025 wally <wally> 2.37.0-3.mga10
+ Revision: 2158256
- rebuild for python3.13

* Fri Dec 27 2024 daviddavid <daviddavid> 2.37.0-2.mga10
+ Revision: 2130707
- fix python3 pkg name

* Thu Dec 19 2024 papoteur <papoteur> 2.37.0-1.mga10
+ Revision: 2126521
- new version 2.37.0

* Fri Jun 28 2024 papoteur <papoteur> 2.30.0-1.mga10
+ Revision: 2077529
- new version 2.30.0

* Sun Dec 31 2023 daviddavid <daviddavid> 2.25.2-1.mga10
+ Revision: 2024836
- new version: 2.25.2

* Sun Dec 31 2023 daviddavid <daviddavid> 2.23.0-2.mga10
+ Revision: 2024730
- rebuild for py3.12

* Tue Sep 19 2023 papoteur <papoteur> 2.23.0-1.mga10
+ Revision: 1988170
- new 2.23.0

* Mon Sep 11 2023 papoteur <papoteur> 2.22.0-1.mga10
+ Revision: 1986206
- new 2.22.0

* Sun Dec 18 2022 wally <wally> 2.15.0-1.mga9
+ Revision: 1925210
- new version 2.15.0

* Thu Sep 29 2022 neoclust <neoclust> 2.11.1-1.mga9
+ Revision: 1893352
- New version  2.10.0

* Fri Apr 01 2022 umeabot <umeabot> 2.6.0-3.mga9
+ Revision: 1839345
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 2.6.0-2.mga9
+ Revision: 1784449
- rebuild for python-3.10

* Thu Feb 03 2022 mrambo3501 <mrambo3501> 2.6.0-1.mga9
+ Revision: 1771212
- version 2.6.0

* Thu Sep 02 2021 wally <wally> 2.0.2-1.mga9
+ Revision: 1744057
- new version 2.0.2

* Sun Aug 29 2021 wally <wally> 2.0.1-1.mga9
+ Revision: 1743362
- new version 2.0.1

* Sun Jul 25 2021 joequant <joequant> 1.33.1-1.mga9
+ Revision: 1737683
- update to 1.33.1

* Sat Jun 26 2021 wally <wally> 1.21.2-2.mga9
+ Revision: 1732361
- Rebuild for python 3.9

* Sat Sep 19 2020 shlomif <shlomif> 1.21.2-1.mga8
+ Revision: 1628741
- New version 1.21.2

* Mon Aug 03 2020 shlomif <shlomif> 1.20.0-1.mga8
+ Revision: 1610717
- New version 1.20.0

* Fri Jul 03 2020 shlomif <shlomif> 1.18.0-1.mga8
+ Revision: 1601656
- New version 1.18.0

* Tue May 12 2020 shlomif <shlomif> 1.14.3-1.mga8
+ Revision: 1583360
- New version 1.14.3 by cheese-e-boi

* Thu May 07 2020 shlomif <shlomif> 1.14.1-1.mga8
+ Revision: 1581545
- New version 1.14.1 by cheese-e-boi

* Mon Apr 20 2020 shlomif <shlomif> 1.14.0-1.mga8
+ Revision: 1570088
- New version 1.14.0

* Sat Mar 21 2020 shlomif <shlomif> 1.11.3-1.mga8
+ Revision: 1558531
- New version 1.11.3

* Tue Feb 18 2020 umeabot <umeabot> 1.10.0-2.mga8
+ Revision: 1541728
- Mageia 8 Mass Rebuild

* Tue Dec 31 2019 shlomif <shlomif> 1.10.0-1.mga8
+ Revision: 1475080
- New version 1.10.0

* Mon Dec 09 2019 shlomif <shlomif> 1.7.2-1.mga8
+ Revision: 1465487
- New version 1.7.2

* Tue Sep 17 2019 tv <tv> 1.6.3-3.mga8
+ Revision: 1442920
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 1.6.3-2.mga8
+ Revision: 1435639
- new version 1.6.3
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 1.6.2-1.mga7
+ Revision: 1353226
- pyp2rpm

